LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 04-07-2004, 10:13 PM   #1
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Rep: Reputation: 30
Sid, apt-get install flashplugin-nonfree n java stuff


mozilla off,
apt-get install flashplugin-nonfree =====> success
run mozilla =====> success

plugin =====> nada
doesnt work or am i doing something wrong

would luv to use the wonderful apt-get
read other solutions but geeze
what is apt-get install for


please, help: I must've done something screwy


oh yeah, why is it the flash plugin
in windows, flash is flash; java, java; shockwave, shockwave and so on

what gives even though flash and java plugins come from macromedia

am i just nuts and finally

Last edited by Outabux; 04-15-2004 at 07:20 PM.
 
Old 04-07-2004, 10:31 PM   #2
geekzen
Member
 
Registered: Mar 2004
Location: Canada. The Great white north.
Distribution: Debian Sid
Posts: 183

Rep: Reputation: 30
You need to add nonfree to your sources.list in /etc/apt/

then apt-get update.
 
Old 04-07-2004, 10:50 PM   #3
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Original Poster
Rep: Reputation: 30
its in there

as the preago commercial goes Eetsa In dere

dont know why pogo.com's games dont work

says java not there or java not installed
 
Old 04-08-2004, 02:07 AM   #4
HappyTux
Senior Member
 
Registered: Mar 2003
Location: Nova Scotia, Canada
Distribution: Debian AMD64
Posts: 4,170

Rep: Reputation: 244Reputation: 244Reputation: 244
Re: Sid, apt-get install flashplugin-nonfree

Quote:
Originally posted by Outabux
mozilla off,
apt-get install flashplugin-nonfree =====> success
run mozilla =====> success

plugin =====> nada
doesnt work or am i doing something wrong

Try as root.
Code:
ln -s /usr/lib/flashplugin-nonfree/flashplayer.xpt /usr/lib/mozilla/plugins/flashplayer.xpt
ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so
 
Old 04-08-2004, 08:48 AM   #5
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Original Poster
Rep: Reputation: 30
Eets a in dere too

Thank you. Here are the contents of those instructions:

i8250d:~# ln -s /usr/lib/flashplugin-nonfree/flashplayer.xpt /usr/lib/mozilla/plugins/flashplayer.xpt
ln: `/usr/lib/mozilla/plugins/flashplayer.xpt': File exists
i8250d:~# ln -s /usr/lib/flashplugin-nonfree/libflashplayer.so /usr/lib/mozilla/plugins/libflashplayer.so
ln: `/usr/lib/mozilla/plugins/libflashplayer.so': File exists


Anything I might have missed in the preferences menu or something. Gotta be something silly and just missed.

Thanking Yall In Advance
But still And A Durn
 
Old 04-11-2004, 07:49 PM   #6
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Original Poster
Rep: Reputation: 30
Can anyone figure this one out?

Still no luck. Check above which didnt get it.

Please help!
 
Old 04-11-2004, 08:21 PM   #7
Dead Parrot
Senior Member
 
Registered: Mar 2004
Distribution: Debian GNU/kFreeBSD
Posts: 1,597

Rep: Reputation: 46
Do you want flash plugin or java? What does it say if you write in Mozilla's address space 'about:plugins' (without quotation marks)?

If you want java, add this line to /etc/apt/sources.list:

deb http://jopa.studentenweb.org/debian ./

Then do 'apt-get update' and 'apt-get install j2re'.

Last edited by Dead Parrot; 04-11-2004 at 08:25 PM.
 
Old 04-11-2004, 08:28 PM   #8
geekzen
Member
 
Registered: Mar 2004
Location: Canada. The Great white north.
Distribution: Debian Sid
Posts: 183

Rep: Reputation: 30
By the way: Java does not come from macromedia. Shockwave an flash do, Java comes from Sun microsystems.
 
Old 04-12-2004, 03:56 AM   #9
mrcheeks
Senior Member
 
Registered: Mar 2004
Location: far enough
Distribution: OS X 10.6.7
Posts: 1,690

Rep: Reputation: 52
you might not have necessary librairies installed.

I have flash from apt-get which of course i could have installed manually, same for java and so on...

running mozilla from the console might give you some interresting infos, running only the gui leavve you without ideas of what it could be.
 
Old 04-12-2004, 02:20 PM   #10
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Original Poster
Rep: Reputation: 30
Alright Here Goes

Thank You, Installed as prescribed...
Shows up when 'aboutlugins' typed in URL field.

However, pogo takes a longer than usual time to load tables 'n' such and end up with a field devoid of the tables, blah, blah, blah for which my SuSe 8.2 gets right out the box.

Anyway, after performing an apt-get upgrade before adding entry to the sources.list netted a fixed menu system for kde3.2 but somehow battery system is screwed up. Hopefully that points to problems with that installation more widespread (meaning java also) than just that battery plugin/daemon for kde (and acpi also).

My pristine installation, after an apt-get upgrade, did not exhibit such problems; so, I will clone that partition onto the broken installation fixing fstab, lilo, and such. Then I will then try that technique on that installation; and, hopefully, it will work.

Thanks again.
Oh yeah of no importance probably, but I applyed the acpi/initrd/dsdt patch for kernel 2.6.4 to 2.6.5 in my installation I'm going to purge and restart after I did all that other stuff first though. Neat!

Thanx again, again!!!
 
Old 04-15-2004, 07:21 PM   #11
Outabux
Member
 
Registered: Apr 2003
Location: Greenwood Mississippi
Distribution: Debian.
Posts: 241

Original Poster
Rep: Reputation: 30
anyone got java runnin in pogo.com...domino rooms please help out...Thanx!!!!!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
gpg errors after apt upgrade (sid) darkleaf Debian 2 06-28-2005 10:22 AM
[Debian Sid] apt problem goRen Linux - Newbie 1 09-26-2004 01:16 AM
Ok, when one runs apt-get on knoppix does it update it to the full debian sid version maximalred Debian 1 06-24-2004 07:45 AM
SID / apt: How to downgrade a package? sylvain_gnu Debian 6 04-21-2004 07:25 PM
apt-ger and java for debain sid green-ears Debian 3 01-01-2004 08:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 05:10 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration